View Issue Details

IDProjectCategoryView StatusLast Update
13802Bug reports[All Projects] Ergonomypublic2018-08-07 17:01
ReporterDenisChenuAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.12.x 
Target VersionFixed in Version3.13.x 
Summary13802: Unable to see Survey policy without javascript activated
Description

The show link is here, but nothing happen

Steps To Reproduce

Launch a survey with policy without js and try to see survey-policy

Additional Information

I totally unsure accessibility is repected , and think it's bette with a collapse:
https://getbootstrap.com/docs/3.3/javascript/#collapse

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.12.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant (midori is great for no-js test)
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-06-21 18:45

developer  

LouisGac

LouisGac

2018-06-25 10:23

manager   ~48282

I agree that screen readers should be able to show the privacy policy

markusfluer

markusfluer

2018-07-09 14:04

manager   ~48475

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27613

markusfluer

markusfluer

2018-07-09 14:05

manager   ~48476

Last edited: 2018-07-09 14:05

View 2 revisions

Corrected to be collapsible

markusfluer

markusfluer

2018-08-07 17:01

manager   ~48725

Release 3.14.2+180807

Related Changesets

LimeSurvey: master acc0f371

2018-07-09 14:03:56

markusfluer

Details Diff
Fixed issue 13802: Unable to see Survey policy without javascript activated
mod - application/models/Survey.php Diff File
mod - application/views/admin/survey/subview/accordion/_presentation_panel.php Diff File
mod - themes/survey/vanilla/views/subviews/privacy/privacy_modal.twig Diff File

Issue History

Date Modified Username Field Change
2018-06-21 18:45 DenisChenu New Issue
2018-06-21 18:45 DenisChenu File Added: Capture du 2018-06-21 18-42-53.png
2018-06-25 10:22 LouisGac Assigned To => markusfluer
2018-06-25 10:22 LouisGac Status new => assigned
2018-06-25 10:23 LouisGac Note Added: 48282
2018-07-09 14:04 markusfluer Changeset attached => LimeSurvey master acc0f371
2018-07-09 14:04 markusfluer Note Added: 48475
2018-07-09 14:04 markusfluer Resolution open => fixed
2018-07-09 14:05 markusfluer Status assigned => resolved
2018-07-09 14:05 markusfluer Fixed in Version => 3.13.x
2018-07-09 14:05 markusfluer Note Added: 48476
2018-07-09 14:05 markusfluer Note Edited: 48476 View Revisions
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48725